package org.apache.poi.ss.formula.functions;

import junit.framework.Assert;
import junit.framework.TestCase;
import org.apache.poi.hssf.HSSFTestDataSamples;
import org.apache.poi.hssf.usermodel.*;
import org.apache.poi.ss.usermodel.CellValue;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.SystemOutLogger;


public class TestInfoSwiss  extends TestCase {

    private HSSFFormulaEvaluator evaluator;
    private HSSFWorkbook wb;
    private HSSFSheet sheet;
    private HSSFFormulaEvaluator fe;


    public void setUp() {
        wb = HSSFTestDataSamples.openSampleWorkbook("InfoSwiss_SW700_Tariff_Gen8_V2.xls");
        sheet = wb.getSheetAt(1);
        fe = new HSSFFormulaEvaluator(wb);
    }

    public void testEvaluation() {

        // activate logging to console
        System.setProperty("org.apache.poi.util.POILogger", "org.apache.poi.util.SystemOutLogger");
        System.setProperty("poi.log.level",POILogger.INFO + "");


        HSSFRow row = sheet.getRow(1);
        HSSFCell cell = row.getCell(1);
        CellValue cv = fe.evaluate(cell);
        double actualValue = cv.getNumberValue();
        Assert.assertEquals(35000, actualValue);

    }


}
